Subject: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Drew Adams <[email-masked]>
Date: Wed, 22 Jun 2022 15:34:07 +0000

> >> I could inhibit messages for those two but it seems a little messy.
> > Please don't: those messages are both informative and important.
> 
> Howard> ...Could you explain why you find them important?...
> Howard> To sum up so far:
> Juri> This is exactly the reason why it outputs its statistics to
>       *Messages*,
> Lars> I vote for keeping the message, but I have no strong opinion.
> Lars> ...looking at it again...it doesn't really seem very useful
> Lars> to a user.
> StefanK> ... we should remove both the recentf-mode
> StefanK> and repeat-mode messages here...
> Eli> Please don't: those messages are both informative and important.

1. *Messages* should record _all_ echo-area messages.
   As is, with no changes (curlifying quotes, fiddling
   with text properties, prettifying,...).  *Messages*
   is a _log_.

2. We can add various ways for users or libraries to
   optionally _view_ various subsets of such messages,
   or to _filter_ (remove) them, or to _inhibit adding_
   some of them.

   But all of that needs to be optional, under control
   by individual users or libraries, and _on top of_
   an underlying/default behavior of recording every
   echo-area message in *Messages* as is.

#2 has been discussed before, with no conclusions or
action taken.

I can't easily find the mail conversations about this,
and probably that doesn't matter - I think not much
that was concrete was proposed/discussed.

I did find these threads that touched on it, at least:

[email-masked]:

* Intelligent stacking of messages in the echo area
* Message's text-properties in *Messages*
* Why "symbol's value" error about a list?

Bug list:

* bug#40774: Error messages shouldn't be hidden when the user is idle
___

E.g., in the bug #40774 thread, I wrote:

  I wonder if buffer *Messages* shouldn't have a menu-bar
  menu, with a few items that do things like filter
  temporarily in various ways, change `message-log-max',
  etc.  Some things a user might want to do with the buffer
  content aren't necessarily obvious.

  IOW, *Messages* could probably be made more directly
  useful than it is now.